#!/bin/bash

if [ -z "${1}" -o ! -d "${1}" ]; then
	echo "Usage: ${0} <mp3 path>"
	exit 1
fi
SRCDIR="${1}"


SOURCEMP3LIST=$(mktemp -t "embed-source.XXXXX")
echo "Finding mp3s..."
find "${SRCDIR}" -iname '*.mp3' 1> "${SOURCEMP3LIST}" 2> /dev/null
echo "Finding Complete."

while read line; do
	DIRPATH=$(dirname "${line}")
	COVER=$(find "${DIRPATH}" -iname 'folder.*' | head -n 1)
	./addimage2mp3.rb "${COVER}" "${line}"
	echo "Embedded art on: ${line}."
done < "${SOURCEMP3LIST}"

#Clean up
rm -f "${SOURCEMP3LIST}"
